@media screen {
:root:not([data-r-output-format='print']):not([data-r-theme-variant='my-custom-variant']):not([data-r-theme-variant='mine']),
:root:not([data-r-output-format='print'])[data-r-theme-variant='mine'] {
&:root {

	--CODE-theme: relearn-light;

	--MAIN-TEXT-color: #323232;
	/* Color of text by default */
	--MAIN-TITLES-TEXT-color: #5e5e5e;
	/* Color of titles h2-h3-h4-h5 */
	--MAIN-LINK-color: #2d78b6;
	/* Color of links */
	--MAIN-LINK-HOVER-color: #7e7e7e;
	/* Color of hovered links */
	--MAIN-ANCHOR-color: #599a3e;
	/* color of anchors on titles */

	--MENU-HEADER-BG-color: #000000;
	/* Background color of menu header */
	--MENU-HEADER-BORDER-color: #7e7e7e;
	/*Color of menu header border */

	--MENU-SEARCH-BG-color: #7e7e7e;
	/* Search field background color (by default borders + icons) */
	--MENU-SEARCH-BOX-color: #AAA9AA;
	/* Override search field border color */
	--MENU-SEARCH-BOX-ICONS-color: #EBEAEB;
	/* Override search field icons color */

	--MENU-SECTIONS-ACTIVE-BG-color: #1b211c;
	/* Background color of the active section and its childs */
	--MENU-SECTIONS-BG-color: #222723;
	/* Background color of other sections */
	--MENU-SECTIONS-LINK-color: #ccc;
	/* Color of links in menu */
	--MENU-SECTIONS-LINK-HOVER-color: #e6e6e6;
	/* Color of links in menu, when hovered */
	--MENU-SECTION-ACTIVE-CATEGORY-color: #777;
	/* Color of active category text */
	--MENU-SECTION-ACTIVE-CATEGORY-BG-color: #fff;
	/* Color of background for the active category (only) */

	--MENU-VISITED-color: #E2E2E2;
	/* Color of 'page visited' icons in menu */
	--MENU-SECTION-HR-color: #18211c;
	/* Color of <hr> separator in menu */

}

body {
	color: var(--MAIN-TEXT-color) !important;
}

textarea:focus,
input[type="email"]:focus,
input[type="number"]:focus,
input[type="password"]:focus,
input[type="search"]:focus,
input[type="tel"]:focus,
input[type="text"]:focus,
input[type="url"]:focus,
input[type="color"]:focus,
input[type="date"]:focus,
input[type="datetime"]:focus,
input[type="datetime-local"]:focus,
input[type="month"]:focus,
input[type="time"]:focus,
input[type="week"]:focus,
select[multiple=multiple]:focus {
	border-color: none;
	box-shadow: none;
}

h2,
h3,
h4,
h5 {
	color: var(--MAIN-TITLES-TEXT-color) !important;
}

.hanchor {
	font-size: 50%;
	visibility: hidden;
	color: silver;
	margin-left: 0.3em;
}

h1:hover a,
h2:hover a,
h3:hover a,
h4:hover a {
	visibility: visible
}

.va-bl {
	vertical-align: baseline;
}

.va-bo {
	vertical-align: text-bottom;
}

a {
	color: var(--MAIN-LINK-color);
}

.anchor {
	color: var(--MAIN-ANCHOR-color);
}

a:hover {
	color: var(--MAIN-LINK-HOVER-color);
}

#sidebar ul li.visited>a .read-icon {
	color: var(--MENU-VISITED-color);
}

#body a.highlight:after {
	/* display: block; # causes links to warp text */
	content: "";
	height: 1px;
	width: 0%;
	-webkit-transition: width 0.5s ease;
	-moz-transition: width 0.5s ease;
	-ms-transition: width 0.5s ease;
	transition: width 0.5s ease;
	background-color: var(--MAIN-LINK-HOVER-color);
}

#sidebar {
	background-color: var(--MENU-SECTIONS-BG-color);
}

#sidebar #header-wrapper {
	background: var(--MENU-HEADER-BG-color);
	color: var(--MENU-SEARCH-BOX-color);
	border-color: var(--MENU-HEADER-BORDER-color);
}

#sidebar .searchbox {
	border-color: var(--MENU-SEARCH-BOX-color);
	background: var(--MENU-SEARCH-BG-color);
}

#sidebar ul.topics>li.parent,
#sidebar ul.topics>li.active {
	background: var(--MENU-SECTIONS-ACTIVE-BG-color);
}

#sidebar .searchbox * {
	color: var(--MENU-SEARCH-BOX-ICONS-color);
}

#sidebar a {
	color: var(--MENU-SECTIONS-LINK-color);
}

#sidebar a:hover {
	color: var(--MENU-SECTIONS-LINK-HOVER-color);
}

#sidebar ul li.active>a {
	background: var(--MENU-SECTION-ACTIVE-CATEGORY-BG-color);
	color: var(--MENU-SECTION-ACTIVE-CATEGORY-color) !important;
}

#sidebar hr {
	border-color: var(--MENU-SECTION-HR-color);
}

#post_cards div {
	display: flex;
	flex-flow: row wrap;
}

#post_cards img {
	margin-top: 10px;
	margin-bottom: 10px;
}

.article_date {
	font-style: italic;
}

ul.children {
	list-style-type: none;
	display: block;
}

#posts .children {
	list-style-type: none;
	display: block;
}

.children-li li {
	font-weight: normal;
	font-style: normal;
	font-size: x-large;
}

.children-li p {
	font-style: normal;
	font-size: 16px;
	font-weight: 300;
}

.children-posts posts {
	font-style: normal;
	font-size: 20px;
	font-weight: normal;
}

.children-posts p {
	font-size: 16px;
	font-weight: 300;
}

#posts {
	display: block
}

.post_cards {
	display: flex;
	flex-flow: row wrap;
}

.post_card {
	width: 100%;
	margin-right: 30px;
}

.post_header {
	font-weight: normal;
	font-size: 20px;
}

.post_img {
	width: 100%;
	margin-top: 10px;
	margin-bottom: 0px;
	margin-right: 0px;
	margin-left: 0px;
}

.post_text {}

#footer ul.banners {
	margin: 20px 0;
	padding: 0;
}

#footer ul.banners>li {
	list-style: none;
	display: inline-block;
	margin: 20px;
}

#footer ul.banners>li.cc {
	display: block;
}


#footer ul.banners>li>a {
	display: inline-block;
}

#footer ul.banners>li>a>img {
	height: 100%;
	display: block;
	margin: 20px;
}

#footer .banners>li>a:hover,
#footer .banners>li>a:focus {
	opacity: 0.8;
}

#footer .banners>li>a:active {
	opacity: 0.7;
}

#footer .banners>li.wot-blitz>a {
	height: 90px;
	vertical-align: top;
}

#footer .banners>li.wg-customer-support>a {
	margin-left: 50px;
	margin-top: 24px;
	height: 50px;
	vertical-align: top;
}
/* based on monokailight */
/* Background */ .bg { color: #272822; background-color: #fafafa; }
/* PreWrapper */ .chroma { color: #272822; background-color: #fafafa; }
/* Other */ .chroma .x {  }
/* Error */ .chroma .err { color: #960050; }
/* CodeLine */ .chroma .cl {  }
/* LineLink */ .chroma .lnlinks { outline: none; text-decoration: none; color: inherit }
/* LineTableTD */ .chroma .lntd { vertical-align: top; padding: 0; margin: 0; border: 0; }
/* LineTable */ .chroma .lntable { border-spacing: 0; padding: 0; margin: 0; border: 0; }
/* LineHighlight */ .chroma .hl { background-color: #e1e1e1 }
/* LineNumbersTable */ .chroma .lnt { white-space: pre; -webkit-user-select: none; user-select: none; margin-right: 0.4em; padding: 0 0.4em 0 0.4em;color: #7f7f7f }
/* LineNumbers */ .chroma .ln { white-space: pre; -webkit-user-select: none; user-select: none; margin-right: 0.4em; padding: 0 0.4em 0 0.4em;color: #7f7f7f }
/* Line */ .chroma .line { display: flex; }
/* Keyword */ .chroma .k { color: #00a8c8 }
/* KeywordConstant */ .chroma .kc { color: #00a8c8 }
/* KeywordDeclaration */ .chroma .kd { color: #00a8c8 }
/* KeywordNamespace */ .chroma .kn { color: #f92672 }
/* KeywordPseudo */ .chroma .kp { color: #00a8c8 }
/* KeywordReserved */ .chroma .kr { color: #00a8c8 }
/* KeywordType */ .chroma .kt { color: #00a8c8 }
/* Name */ .chroma .n { color: #111111 }
/* NameAttribute */ .chroma .na { color: #75af00 }
/* NameBuiltin */ .chroma .nb { color: #111111 }
/* NameBuiltinPseudo */ .chroma .bp { color: #111111 }
/* NameClass */ .chroma .nc { color: #75af00 }
/* NameConstant */ .chroma .no { color: #00a8c8 }
/* NameDecorator */ .chroma .nd { color: #75af00 }
/* NameEntity */ .chroma .ni { color: #111111 }
/* NameException */ .chroma .ne { color: #75af00 }
/* NameFunction */ .chroma .nf { color: #75af00 }
/* NameFunctionMagic */ .chroma .fm { color: #111111 }
/* NameLabel */ .chroma .nl { color: #111111 }
/* NameNamespace */ .chroma .nn { color: #111111 }
/* NameOther */ .chroma .nx { color: #75af00 }
/* NameProperty */ .chroma .py { color: #111111 }
/* NameTag */ .chroma .nt { color: #f92672 }
/* NameVariable */ .chroma .nv { color: #111111 }
/* NameVariableClass */ .chroma .vc { color: #111111 }
/* NameVariableGlobal */ .chroma .vg { color: #111111 }
/* NameVariableInstance */ .chroma .vi { color: #111111 }
/* NameVariableMagic */ .chroma .vm { color: #111111 }
/* Literal */ .chroma .l { color: #ae81ff }
/* LiteralDate */ .chroma .ld { color: #d88200 }
/* LiteralString */ .chroma .s { color: #d88200 }
/* LiteralStringAffix */ .chroma .sa { color: #d88200 }
/* LiteralStringBacktick */ .chroma .sb { color: #d88200 }
/* LiteralStringChar */ .chroma .sc { color: #d88200 }
/* LiteralStringDelimiter */ .chroma .dl { color: #d88200 }
/* LiteralStringDoc */ .chroma .sd { color: #d88200 }
/* LiteralStringDouble */ .chroma .s2 { color: #d88200 }
/* LiteralStringEscape */ .chroma .se { color: #8045ff }
/* LiteralStringHeredoc */ .chroma .sh { color: #d88200 }
/* LiteralStringInterpol */ .chroma .si { color: #d88200 }
/* LiteralStringOther */ .chroma .sx { color: #d88200 }
/* LiteralStringRegex */ .chroma .sr { color: #d88200 }
/* LiteralStringSingle */ .chroma .s1 { color: #d88200 }
/* LiteralStringSymbol */ .chroma .ss { color: #d88200 }
/* LiteralNumber */ .chroma .m { color: #ae81ff }
/* LiteralNumberBin */ .chroma .mb { color: #ae81ff }
/* LiteralNumberFloat */ .chroma .mf { color: #ae81ff }
/* LiteralNumberHex */ .chroma .mh { color: #ae81ff }
/* LiteralNumberInteger */ .chroma .mi { color: #ae81ff }
/* LiteralNumberIntegerLong */ .chroma .il { color: #ae81ff }
/* LiteralNumberOct */ .chroma .mo { color: #ae81ff }
/* Operator */ .chroma .o { color: #f92672 }
/* OperatorWord */ .chroma .ow { color: #f92672 }
/* Punctuation */ .chroma .p { color: #111111 }
/* Comment */ .chroma .c { color: #a7a187 }
/* CommentHashbang */ .chroma .ch { color: #a7a187 }
/* CommentMultiline */ .chroma .cm { color: #a7a187 }
/* CommentSingle */ .chroma .c1 { color: #a7a187 }
/* CommentSpecial */ .chroma .cs { color: #a7a187 }
/* CommentPreproc */ .chroma .cp { color: #a7a187 }
/* CommentPreprocFile */ .chroma .cpf { color: #a7a187 }
/* Generic */ .chroma .g {  }
/* GenericDeleted */ .chroma .gd {  }
/* GenericEmph */ .chroma .ge { font-style: italic }
/* GenericError */ .chroma .gr {  }
/* GenericHeading */ .chroma .gh {  }
/* GenericInserted */ .chroma .gi {  }
/* GenericOutput */ .chroma .go {  }
/* GenericPrompt */ .chroma .gp {  }
/* GenericStrong */ .chroma .gs { font-weight: bold }
/* GenericSubheading */ .chroma .gu {  }
/* GenericTraceback */ .chroma .gt {  }
/* GenericUnderline */ .chroma .gl {  }
/* TextWhitespace */ .chroma .w {  }

}
}
@media print {
&:root {
  /* relearn-light */
  --PRIMARY-color: rgba(125, 201, 3, 1); /* brand primary color */
  --SECONDARY-color: rgba(72, 106, 201, 1); /* brand secondary color */
  --ACCENT-color: rgb(255, 102, 78); /* brand accent color, used for search highlights */

  --MAIN-TEXT-color: rgba(0, 0, 0, 1); /* text color of content and h1 titles */
  --MAIN-LINK-HOVER-color: rgba(32, 40, 145, 1); /* hovered link color of content */
  --MAIN-BG-color: rgba(255, 255, 255, 1); /* background color of content */
  --MAIN-TITLES-TEXT-color: rgba(16, 16, 16, 1); /* text color of h2-h6 titles and transparent box titles */

  --CODE-theme: relearn-light; /* name of the chroma stylesheet file */
  --CODE-BLOCK-color: rgba(39, 40, 34, 1); /* fallback text color of block code; should be adjusted to your selected chroma style */
  --CODE-BLOCK-BG-color: rgba(250, 250, 250, 1); /* fallback background color of block code; should be adjusted to your selected chroma style */
  --CODE-BLOCK-BORDER-color: rgba(216, 216, 216, 1); /* border color of block code */
  --CODE-INLINE-color: rgba(94, 94, 94, 1); /* text color of inline code */
  --CODE-INLINE-BG-color: rgba(255, 250, 233, 1); /* background color of inline code */
  --CODE-INLINE-BORDER-color: rgba(248, 232, 200, 1); /* border color of inline code */

  --BROWSER-theme: light; /* name of the theme for browser scrollbars of the main section */
  --MERMAID-theme: default; /* name of the default Mermaid theme for this variant, can be overridden in hugo.toml */
  --OPENAPI-theme: light; /* name of the default OpenAPI theme for this variant, can be overridden in hugo.toml */
  --OPENAPI-CODE-theme: idea; /* name of the default OpenAPI code theme for this variant, can be overridden in hugo.toml */

  --MENU-HEADER-color: rgba(40, 40, 40, 1); /* color of menu header */

  --MENU-HOME-LINK-color: rgba(64, 64, 64, 1); /* home button color if configured */
  --MENU-HOME-LINK-HOVER-color: rgba(0, 0, 0, 1); /* hovered home button color if configured */

  --MENU-SEARCH-color: rgba(224, 224, 224, 1); /* text and icon color of search box */
  --MENU-SEARCH-BG-color: rgba(50, 50, 50, 1); /* background color of search box */
  --MENU-SEARCH-BORDER-color: rgba(224, 224, 224, 1); /* border color of search box */

  --MENU-SECTIONS-BG-color: rgba(40, 40, 40, 1); /* background of the menu; this is NOT just a color value but can be a complete CSS background definition including gradients, etc. */
  --MENU-SECTIONS-ACTIVE-BG-color: rgba(0, 0, 0, 0.166); /* background color of the active menu section */
  --MENU-SECTIONS-LINK-color: rgba(186, 186, 186, 1); /* link color of menu topics */
  --MENU-SECTIONS-LINK-HOVER-color: rgba(255, 255, 255, 1); /* hovered link color of menu topics */
  --MENU-SECTION-ACTIVE-CATEGORY-color: rgba(68, 68, 68, 1); /* text color of the displayed menu topic */
  --MENU-SECTION-SEPARATOR-color: rgba(96, 96, 96, 1); /* separator color between menu sections and menu footer */

  --BOX-CAPTION-color: rgba(255, 255, 255, 1); /* text color of colored box titles */
  --BOX-BG-color: rgba(255, 255, 255, 0.833); /* background color of colored boxes */
  --BOX-TEXT-color: rgba(16, 16, 16, 1); /* text color of colored box content */
}

/* based on monokailight */
/* Background */ .bg { color: #272822; background-color: #fafafa; }
/* PreWrapper */ .chroma { color: #272822; background-color: #fafafa; }
/* Other */ .chroma .x {  }
/* Error */ .chroma .err { color: #960050; }
/* CodeLine */ .chroma .cl {  }
/* LineLink */ .chroma .lnlinks { outline: none; text-decoration: none; color: inherit }
/* LineTableTD */ .chroma .lntd { vertical-align: top; padding: 0; margin: 0; border: 0; }
/* LineTable */ .chroma .lntable { border-spacing: 0; padding: 0; margin: 0; border: 0; }
/* LineHighlight */ .chroma .hl { background-color: #e1e1e1 }
/* LineNumbersTable */ .chroma .lnt { white-space: pre; -webkit-user-select: none; user-select: none; margin-right: 0.4em; padding: 0 0.4em 0 0.4em;color: #7f7f7f }
/* LineNumbers */ .chroma .ln { white-space: pre; -webkit-user-select: none; user-select: none; margin-right: 0.4em; padding: 0 0.4em 0 0.4em;color: #7f7f7f }
/* Line */ .chroma .line { display: flex; }
/* Keyword */ .chroma .k { color: #00a8c8 }
/* KeywordConstant */ .chroma .kc { color: #00a8c8 }
/* KeywordDeclaration */ .chroma .kd { color: #00a8c8 }
/* KeywordNamespace */ .chroma .kn { color: #f92672 }
/* KeywordPseudo */ .chroma .kp { color: #00a8c8 }
/* KeywordReserved */ .chroma .kr { color: #00a8c8 }
/* KeywordType */ .chroma .kt { color: #00a8c8 }
/* Name */ .chroma .n { color: #111111 }
/* NameAttribute */ .chroma .na { color: #75af00 }
/* NameBuiltin */ .chroma .nb { color: #111111 }
/* NameBuiltinPseudo */ .chroma .bp { color: #111111 }
/* NameClass */ .chroma .nc { color: #75af00 }
/* NameConstant */ .chroma .no { color: #00a8c8 }
/* NameDecorator */ .chroma .nd { color: #75af00 }
/* NameEntity */ .chroma .ni { color: #111111 }
/* NameException */ .chroma .ne { color: #75af00 }
/* NameFunction */ .chroma .nf { color: #75af00 }
/* NameFunctionMagic */ .chroma .fm { color: #111111 }
/* NameLabel */ .chroma .nl { color: #111111 }
/* NameNamespace */ .chroma .nn { color: #111111 }
/* NameOther */ .chroma .nx { color: #75af00 }
/* NameProperty */ .chroma .py { color: #111111 }
/* NameTag */ .chroma .nt { color: #f92672 }
/* NameVariable */ .chroma .nv { color: #111111 }
/* NameVariableClass */ .chroma .vc { color: #111111 }
/* NameVariableGlobal */ .chroma .vg { color: #111111 }
/* NameVariableInstance */ .chroma .vi { color: #111111 }
/* NameVariableMagic */ .chroma .vm { color: #111111 }
/* Literal */ .chroma .l { color: #ae81ff }
/* LiteralDate */ .chroma .ld { color: #d88200 }
/* LiteralString */ .chroma .s { color: #d88200 }
/* LiteralStringAffix */ .chroma .sa { color: #d88200 }
/* LiteralStringBacktick */ .chroma .sb { color: #d88200 }
/* LiteralStringChar */ .chroma .sc { color: #d88200 }
/* LiteralStringDelimiter */ .chroma .dl { color: #d88200 }
/* LiteralStringDoc */ .chroma .sd { color: #d88200 }
/* LiteralStringDouble */ .chroma .s2 { color: #d88200 }
/* LiteralStringEscape */ .chroma .se { color: #8045ff }
/* LiteralStringHeredoc */ .chroma .sh { color: #d88200 }
/* LiteralStringInterpol */ .chroma .si { color: #d88200 }
/* LiteralStringOther */ .chroma .sx { color: #d88200 }
/* LiteralStringRegex */ .chroma .sr { color: #d88200 }
/* LiteralStringSingle */ .chroma .s1 { color: #d88200 }
/* LiteralStringSymbol */ .chroma .ss { color: #d88200 }
/* LiteralNumber */ .chroma .m { color: #ae81ff }
/* LiteralNumberBin */ .chroma .mb { color: #ae81ff }
/* LiteralNumberFloat */ .chroma .mf { color: #ae81ff }
/* LiteralNumberHex */ .chroma .mh { color: #ae81ff }
/* LiteralNumberInteger */ .chroma .mi { color: #ae81ff }
/* LiteralNumberIntegerLong */ .chroma .il { color: #ae81ff }
/* LiteralNumberOct */ .chroma .mo { color: #ae81ff }
/* Operator */ .chroma .o { color: #f92672 }
/* OperatorWord */ .chroma .ow { color: #f92672 }
/* Punctuation */ .chroma .p { color: #111111 }
/* Comment */ .chroma .c { color: #a7a187 }
/* CommentHashbang */ .chroma .ch { color: #a7a187 }
/* CommentMultiline */ .chroma .cm { color: #a7a187 }
/* CommentSingle */ .chroma .c1 { color: #a7a187 }
/* CommentSpecial */ .chroma .cs { color: #a7a187 }
/* CommentPreproc */ .chroma .cp { color: #a7a187 }
/* CommentPreprocFile */ .chroma .cpf { color: #a7a187 }
/* Generic */ .chroma .g {  }
/* GenericDeleted */ .chroma .gd {  }
/* GenericEmph */ .chroma .ge { font-style: italic }
/* GenericError */ .chroma .gr {  }
/* GenericHeading */ .chroma .gh {  }
/* GenericInserted */ .chroma .gi {  }
/* GenericOutput */ .chroma .go {  }
/* GenericPrompt */ .chroma .gp {  }
/* GenericStrong */ .chroma .gs { font-weight: bold }
/* GenericSubheading */ .chroma .gu {  }
/* GenericTraceback */ .chroma .gt {  }
/* GenericUnderline */ .chroma .gl {  }
/* TextWhitespace */ .chroma .w {  }

}
@media print {
#R-sidebar {
  display: none;
}
#R-body {
  margin-left: 0 !important;
  margin-right: 0 !important;
  min-width: 100% !important;
  max-width: 100% !important;
  width: 100% !important;
}
#R-body #navigation {
  display: none;
}
html {
  font-size: 8.763pt;
}
body {
  background-color: rgba(255, 255, 255, 1);
}
code.copy-to-clipboard-code {
  border-start-end-radius: 2px;
  border-end-end-radius: 2px;
  border-inline-end-width: 1px;
}
pre:not(.mermaid) {
  border: 1px solid rgba(204, 204, 204, 1);
}
#R-body #R-topbar {
  background-color: rgba(255, 255, 255, 1); /* avoid background bleeding*/
  border-bottom: 1px solid rgba(221, 221, 221, 1);
  border-radius: 0;
  color: rgba(119, 119, 119, 1);
  padding-left: 0; /* for print, we want to align with the footer to ease the layout */
  padding-right: 0;
}
#R-body .topbar-button {
  /* we don't need the buttons while printing */
  /* we need !important to turn off JS topbar button handling setting element styles */
  display: none !important;
}
@media screen and (max-width: 47.999rem) {
  #R-body .topbar-breadcrumbs {
    visibility: visible;
  }
}
#R-body span.copy-to-clipboard-code {
  padding-inline-end: 2px;
}
#R-body .inline-copy-to-clipboard-button,
#R-body .block-copy-to-clipboard-button {
  display: none;
}

#R-body .inline-copy-to-clipboard-button + code.copy-to-clipboard-code,
#R-body code.copy-to-clipboard-code:has(+ .inline-copy-to-clipboard-button) {
  border-end-end-radius: 2px;
  border-start-end-radius: 2px;
  border-inline-end-width: 1px;
  margin-inline-end: 0;
}

#R-body .svg-reset-button {
  display: none;
}

#R-body h1,
#R-body h2,
#R-body h3,
#R-body .article-subheading,
#R-body h4,
#R-body h5,
#R-body h6 {
  /* better contrast for colored elements */
  color: rgba(0, 0, 0, 1);
}
#R-body th,
#R-body td,
#R-body code,
#R-body strong,
#R-body b,
#R-body li,
#R-body dd,
#R-body dt,
#R-body p,
#R-body a,
#R-body button,
#R-body .badge .badge-content {
  /* better contrast for colored elements */
  color: rgba(0, 0, 0, 1);
}
#R-body .anchor {
  display: none;
}
#R-body pre:not(.mermaid),
#R-body code {
  background-color: rgba(255, 255, 255, 1);
  border-color: rgba(221, 221, 221, 1);
}

hr {
  border-bottom: 1px solid rgba(221, 221, 221, 1);
}
#R-body #R-body-inner {
  overflow: visible; /* turn off limitations for perfect scrollbar */
  /* reset paddings for chapters in screen */
  padding: 0 3.25rem 4rem 3.25rem;
}

#R-body #R-body-inner h1 {
  border-bottom: 1px solid rgba(221, 221, 221, 1);
  font-size: 3.25rem;
  margin-bottom: 2rem;
  padding-bottom: 0.75rem;
}
#R-body-inner .chapter h3:first-of-type {
  margin-top: 2rem;
}

/* Children shortcode */
.children p,
.children-li p,
.children-h2 p,
.children-h3 p {
  font-size: 1rem;
}

.footline {
  /* in print mode show footer line to signal reader the end of document */
  border-top: 1px solid rgba(221, 221, 221, 1);
  color: rgba(119, 119, 119, 1);
  margin-top: 1.5rem;
  padding-top: 0.75rem;
}

h1 + .footline {
  /* if we have no content in the page we remove the footer as it is of no real value in print */
  display: none;
}

#R-body #R-body-inner .headline a,
#R-body #R-body-inner .footline a,
#R-body #R-body-inner .btn a {
  text-decoration: none;
}
#R-body #R-body-inner a {
  /* in print we want to distinguish links in our content from
    normal text even if printed black/white;
    don't use a.highlight in selector to also get links that are
    put as HTML into markdown */
  text-decoration-line: underline;
}
#R-topbar {
  /* the header is sticky which is not suitable for print; */
  position: initial;
}
#R-topbar > .topbar-wrapper {
  background-color: initial;
}
#R-body .topbar-sidebar-divider {
  border-width: 0;
}
article .R-taxonomy {
  display: none;
}
mark.search {
  background: inherit;
  color: inherit;
}
.mermaid.zoom:hover {
  border-color: transparent;
}
.box > .box-content {
  background-color: rgba(255, 255, 255, 1);
}

.btn,
#R-body .tab-nav-button {
  color: rgba(0, 0, 0, 1);
}
#R-body .tab-nav-button.active {
  border-bottom-color: rgba(255, 255, 255, 1);
  color: rgba(0, 0, 0, 1);
}
#R-body .tab-nav-button.active > .tab-nav-text {
  background-color: rgba(255, 255, 255, 1);
}
#R-body .tab-content-text {
  background-color: rgba(255, 255, 255, 1);
  color: rgba(0, 0, 0, 1);
}

article {
  break-before: page;
}
#R-body-inner article:first-of-type {
  break-before: avoid;
}

#R-body #R-body-inner .flex-block-wrapper {
  max-width: calc(var(--INTERNAL-MAIN-WIDTH-MAX) - var(--INTERNAL-MENU-WIDTH-L) - 2 * 3.25rem);
  width: 100%;
}

#R-body #R-body-inner > .flex-block-wrapper article.narrow > p {
  font-size: 1.015625rem;
  text-align: start;
}

#R-body #R-body-inner > .flex-block-wrapper article.narrow > .article-subheading {
  margin-top: 0;
}

}
